summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Schweizer <genstef@gentoo.org>2006-07-10 07:29:59 +0000
committerStefan Schweizer <genstef@gentoo.org>2006-07-10 07:29:59 +0000
commit37de999e6e784898c58f027ecda01fe73806ef3b (patch)
treec514c71002705d6d08aebd34c70e713b73e456b0 /scripts
parentapp-portage/udept: version bump (diff)
downloadsunrise-37de999e6e784898c58f027ecda01fe73806ef3b.tar.gz
sunrise-37de999e6e784898c58f027ecda01fe73806ef3b.tar.bz2
sunrise-37de999e6e784898c58f027ecda01fe73806ef3b.zip
scripts/review: make it not show false errors
svn path=/sunrise/; revision=573
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/review12
1 files changed, 6 insertions, 6 deletions
diff --git a/scripts/review b/scripts/review
index 2be9be7a0..94f71d916 100755
--- a/scripts/review
+++ b/scripts/review
@@ -21,12 +21,12 @@ svn_up() {
ebegin "Updating working copy to latest version from repository"
if [[ "$opt_verbose" == "1" ]] ; then
- svn update $* || set $?
+ svn update $*
else
- svn update -q $* || set $?
+ svn update -q $*
fi
- eend 0
+ eend $?
local conflict_files=$(svn status | sed -rn 's/^C.+ ([^ ]+)$/\1/p')
if [[ -n "$conflict_files" ]] ; then
@@ -156,11 +156,11 @@ fi
ebegin "Merging in changes..."
if [[ "$opt_verbose" == "1" ]] ; then
- svn merge sunrise@$reviewed_revision sunrise@$sunrise_revision reviewed || set $?
+ svn merge sunrise@$reviewed_revision sunrise@$sunrise_revision reviewed
else
- svn merge sunrise@$reviewed_revision sunrise@$sunrise_revision reviewed -q || set $?
+ svn merge sunrise@$reviewed_revision sunrise@$sunrise_revision reviewed -q
fi
-eend ${1:-0}
+eend ${?}
ebegin "Committing working copy to repository"
svn commit reviewed -m "Reviewed up to revision $*"